Create Rev Org
Creates a Rev organization in the authenticated user's Dev organization.
Creates a Rev organization in the authenticated user's Dev organization.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Account Id to associate with this Rev organization.
idThe IDs of the artifacts to associate with the Rev organization.
Application-defined custom fields.
Schema fragment IDs associated with this Rev organization.
Description of the Rev organization.
textName of the Rev organization.
textCompany's domain name. Example - 'devrev.ai'.
textThe environment of the Org. Defaults to 'production' if not specified.
"production" | "staging" | "test"External ref is a custom unique identifier which is a reference to an unique id for this organization's data in some system of records.
textMembers this Rev organization is shared with.
Tags associated with the Rev organization.
The tier of the RevOrg.
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/rev-orgs.create" \ -H "Content-Type: application/json" \ -d '{ "account": "ACC-12345", "display_name": "string" }'{
"rev_org": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"display_name": "string",
"account": {
"display_id": "string",
"id": "string",
"display_name": "string"
},
"artifacts": [
{
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
}
],
"custom_fields": {},
"custom_schema_fragments": [
"don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id"
],
"description": "string",
"domain": "string",
"external_ref": "string",
"primary_rev_org": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
},
"stock_schema_fragment": "don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id",
"subtype": "string",
"tags": [
{
"tag": {
"display_id": "string",
"id": "string",
"name": "string",
"style_new": {
"color": "string"
},
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"value": "string"
}
]
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "conflict"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}